<?php

/**
* 01/06/2015
* @author Gabriel@Silva
*/

namespace Teknisa\DF\Factories;

use Doctrine\ORM\EntityManager;

class Ger01400MensagemFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getValidations($params) {
        $sql = "SELECT :P_CDMENSAGEM AS CDMENSAGEM,
                       CHECKS.*
                  FROM (SELECT DECODE(COUNT(*), 0, 'N', 'S') AS IDBLOCKDELETION
                          FROM (SELECT CDMENSAGEM FROM MENSINCID WHERE (CDMENSAGEM = :P_CDMENSAGEM) AND (NRORG = :P_NRORG)
                                UNION ALL
                                SELECT CDMENSAGEM FROM MENSALIQU WHERE (CDMENSAGEM = :P_CDMENSAGEM) AND (NRORG = :P_NRORG)
                                UNION ALL
                                SELECT CDMENSAGEM FROM MENSCFOP WHERE (CDMENSAGEM = :P_CDMENSAGEM) AND (NRORG = :P_NRORG)
                                UNION ALL
                                SELECT CDMENSAGEM FROM MENSCST WHERE (CDMENSAGEM = :P_CDMENSAGEM) AND (NRORG = :P_NRORG)
                                UNION ALL
                                SELECT CDMENSAGEM FROM MENSINSCRESTAD WHERE (CDMENSAGEM = :P_CDMENSAGEM) AND (NRORG = :P_NRORG)
                                )
                        ) CHECKS";

        $std = $this->connection->prepare($sql);
        $std->execute($params);

        return $dataSet = $std->fetchAll();
    }
}